Skip to main content
GET
Retrieve Customer by External ID
This request enables you to retrieve details of customers based on their merchant_customer_id, which needs to be provided in the request path.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Query Parameters

merchant_customer_id
string

The unique identifier of the customer in the external merchant (MAX 255; MIN 1).

Response

200

id
string
Example:

"94121f98-98f7-4d57-aa5f-228401d35b12"

merchant_customer_id
string
Example:

"1744402154"

first_name
string
Example:

"John"

last_name
string
Example:

"Doe"

gender
string
Example:

"F"

date_of_birth
string
Example:

"1990-02-28"

email
string
Example:

"john.doe@gmail.com"

nationality
string
Example:

"CO"

country
string
Example:

"CO"

document
object
phone
object
billing_address
object
shipping_address
object
metadata
object[]
created_at
string
Example:

"2025-04-11T20:09:14.927971Z"

updated_at
string
Example:

"2025-04-11T20:09:14.927972Z"

merchant_customer_created_at
string
Example:

"2023-08-05T14:43:58.980718Z"